[ req ]
default_md = sha512
default_bits = 2048
default_keyfile = rui.key
distinguished_name = req_distinguished_name
encrypt_key = no
prompt = no
string_mask = nombstr
req_extensions = v3_req
input_password = testpassword
output_password = testpassword

[ v3_req ]
basicConstraints = CA:false
keyUsage = digitalSignature, keyEncipherment, dataEncipherment
extendedKeyUsage = serverAuth, clientAuth
subjectAltName = DNS:vcenter01, IP:10.0.0.1, DNS:vcenter01.company.local

[ req_distinguished_name ]
countryName = SK
stateOrProvinceName = Slovakia
localityName = Bratislava
0.organizationName = Example, spol. s r.o.
organizationalUnitName = VMware vCenter Service Certificate
commonName = vcenter01.company.local
